Returns the blocksize of the opened algorithm

- « mcrypt_enc_get_algorithms_name

- mcrypt_enc_get_iv_size »

- PHP Manual
- Mcrypt Functions
- Returns the blocksize of the opened algorithm

# mcrypt_enc_get_block_size

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_enc_get_block_size — Returns the blocksize of the opened algorithm

Warning

This function has been DEPRECATED as of PHP 7.1.0 and REMOVED as of PHP 7.2.0. Relying on this function is highly discouraged.

### Description

mcrypt_enc_get_block_size(resource `$td`): int

Gets the blocksize of the opened algorithm.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns the block size of the specified algorithm in bytes.